nvidia issue kernel did not support 5.12 ubuntu 21.04

Asked by Lars Martin Hambro on 2021-05-01

Hi someone that know if kernel 5.12 (https://ubuntuhandbook.org/index.php/2021/04/linux-kernel-5-12-released/)
Did support nvidia packages for manualy install or not?

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu nvidia-graphics-drivers Edit question
Assignee:
No assignee Edit question
Solved by:
Lars Martin Hambro
Solved:
Last query:
Last reply:

But that did not mean its should not come with config to other kernel? its posible to add
software-properties-gtk --open-tab=4
WARNING:root:_pkg_get_support nvidia-driver-390: package has invalid Support Legacyheader, cannot determine support level
dpkg: warning: version 'unsigned-5.1.0-050100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.0-051100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.1.0-050100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.11-051111' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.0-051100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.9.12-050912' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.11-051111' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.1.0-050100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.0-051100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.1.0-050100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.11-051111' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.0-051100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.9.12-050912' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.11-051111' has bad syntax: version number does not start with a digit

to install nvidia 460X (with kernel 5.12 support?)

As you see kernel 5.12 missing in list.

I find out its works after upgrade kernel:
software-properties-gtk --open-tab=4
WARNING:root:_pkg_get_support nvidia-driver-390: package has invalid Support Legacyheader, cannot determine support level
dpkg: warning: version 'unsigned-5.1.0-050100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.0-051100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.1.0-050100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.11-051111' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.0-051100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.12.0-051200' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.11-051111' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.9.12-050912' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.12.0-051200' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.1.0-050100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.0-051100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.1.0-050100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.11-051111' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.0-051100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.12.0-051200' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.11-051111' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.9.12-050912' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.12.0-051200' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.1.0-050100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.0-051100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.1.0-050100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.11-051111' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.0-051100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.12.0-051200' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.11-051111' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.9.12-050912' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.12.0-051200' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.1.0-050100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.0-051100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.1.0-050100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.11-051111' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.0-051100' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.12.0-051200' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.11.11-051111' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.9.12-050912' has bad syntax: version number does not start with a digit
dpkg: warning: version 'unsigned-5.12.0-051200' has bad syntax: version number does not start with a digit

i get its works.